% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/coef-removal.R
\name{coef_removal}
\alias{coef_removal}
\title{Get coefficients of a species for a removal model}
\usage{
coef_removal(species = NULL, model = NULL)
}
\arguments{
\item{species}{4-letter banding code for the desired species}

\item{model}{Numeric or vector of model numbers ranging from 1 - 9.}
}
\value{
Dataframe of coefficients for all species and removal models selected
}
\description{
\code{coef_removal} returns a dataframe of coefficients for the selected species/
  removal model combinations.
}
\examples{
\dontrun{
# Get coefficients for removal model 1 for American Robin (AMRO)
coefs <- coef_removal(species = "AMRO", model = 1)

# Get coefficients for all removal models for American Robin (AMRO)
# Option 1
coefs <- coef_removal(species = "AMRO", model = seq(1,9))
# Option 2
coefs <- coef_removal(species = "AMRO")

# Get coefficients for American Robin, Black-throated Blue Warbler, and
#  Yellow-throated Warbler for removal models 1, 4, and 7
coefs <- coef_removal(species = c("AMRO", "BTBW", "YTWA"),
                  model = c(1,4,7))

# Get coefficients for all species for removal model 9
coefs <- coef_removal(model = 9)

# Get coefficients for all species, for all removal models
coefs <- coef_removal()
}

}
